summaryrefslogtreecommitdiffstats
path: root/office/wordtsar
diff options
context:
space:
mode:
Diffstat (limited to 'office/wordtsar')
-rw-r--r--office/wordtsar/README13
-rw-r--r--office/wordtsar/doinst.sh9
-rw-r--r--office/wordtsar/slack-desc19
-rw-r--r--office/wordtsar/wordtsar.SlackBuild82
-rw-r--r--office/wordtsar/wordtsar.info10
5 files changed, 133 insertions, 0 deletions
diff --git a/office/wordtsar/README b/office/wordtsar/README
new file mode 100644
index 0000000000..0e06fa45de
--- /dev/null
+++ b/office/wordtsar/README
@@ -0,0 +1,13 @@
+wordtsar (wordstar clone)
+
+WordTsar is a clone of WordStar 7.0D, with a look and feel very
+similar to the original, including the standard set of keystrokes.
+It loads Wordstar 4, Wordstar 7, RTF (partial), and DOCX (partial)
+files, and saves in Wordstar 7 and RTF format.
+
+Note that WordTsar is alpha-quality software.
+
+If you're looking for a clone of the old MS-DOS textmode WordStar,
+Slackware already ships "jstar" (part of the "joe" package).
+
+Command-line users, the executable is called WordTsar, not wordtsar.
diff --git a/office/wordtsar/doinst.sh b/office/wordtsar/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/office/wordtsar/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/office/wordtsar/slack-desc b/office/wordtsar/slack-desc
new file mode 100644
index 0000000000..eb7b191ad6
--- /dev/null
+++ b/office/wordtsar/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wordtsar: wordtsar (wordstar clone)
+wordtsar:
+wordtsar: WordTsar is a clone of WordStar 7.0D, with a look and feel very
+wordtsar: similar to the original, including the standard set of keystrokes.
+wordtsar: It loads Wordstar 4, Wordstar 7, RTF (partial), and DOCX (partial)
+wordtsar: files, and saves in Wordstar 7 and RTF format.
+wordtsar:
+wordtsar: Note that WordTsar is alpha-quality software.
+wordtsar:
+wordtsar:
+wordtsar:
diff --git a/office/wordtsar/wordtsar.SlackBuild b/office/wordtsar/wordtsar.SlackBuild
new file mode 100644
index 0000000000..2508308004
--- /dev/null
+++ b/office/wordtsar/wordtsar.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/bash
+
+# Slackware build script for wordtsar
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# Note: building.txt appears to be horribly out of date; it refers
+# to wxWidgets and CodeLite... but this is a Qt app, built with
+# qmake. *shrug*.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=wordtsar
+SRCNAM=WordTsar
+VERSION=${VERSION:-0.3.719}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# no flags or libdir stuffs here, qmake knows what to do.
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION-src
+unzip $CWD/$SRCNAM-$VERSION-src.zip
+cd $SRCNAM-$VERSION-src
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# weirdness, refers to ../src/<whatever>
+sed -i.bak 's,\.\./,,g' *.pro
+
+qmake-qt5
+make
+
+# no 'make install'.
+mkdir -p $PKG/usr/{bin,share/{applications,pixmaps}}
+install -s -m0755 $SRCNAM $PKG/usr/bin
+install -m0644 linuxdeploy/$SRCNAM.desktop $PKG/usr/share/applications/$SRCNAM.desktop
+
+for px in 16 22 32 48 64 128; do
+ sz=${px}x${px}
+ dir=$PKG/usr/share/icons/hicolor/$sz/apps
+ mkdir -p $dir
+ convert -resize $sz linuxdeploy/$PRGNAM.png $dir/$PRGNAM.png
+done
+ln -s ../icons/hicolor/48x48/apps/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a LICENSE* implemented.xlsx $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/office/wordtsar/wordtsar.info b/office/wordtsar/wordtsar.info
new file mode 100644
index 0000000000..0a189fa4a4
--- /dev/null
+++ b/office/wordtsar/wordtsar.info
@@ -0,0 +1,10 @@
+PRGNAM="wordtsar"
+VERSION="0.3.719"
+HOMEPAGE="http://wordtsar.ca/"
+DOWNLOAD="https://downloads.sourceforge.net/project/wordtsar/Releases/WordTsar-0.3.719/WordTsar-0.3.719-src.zip"
+MD5SUM="395dbbdaeb16d9a5fad3bd6f27d41e55"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"